<?php

/*
Plugin Name: Mobile Browser Simulator plugin
Plugin URI: http://rebrandrights.com/
Description: To add the tool to any page, just put [mobilesimulator] short code in the content area of your page.
Version: 1.0
Author: Alex Blades, RebrandRights
Author URI: http://rebrandrights.com/
*/

/*====================================================================================================*/
	// Admin interface for mobilesimulator plugin
	add_action('admin_menu','mobilesimulator_admin');

	function mobilesimulator_admin(){
		// add_menu_page( 'mobilesimulator Options', 'mobilesimulator plugin', 'manage_options', 'mobilesimulator', 'mobilesimulator_options_page' );
		// add_options_page( 'Mobilesimulator Options', 'Mobilesimulator Options', 'manage_options', 'mobilesimulator', 'mobilesimulator_options_page');
		add_menu_page( 'Mobilesimulator', 'Mobilesimulator', 'manage_options', 'mobilesimulator', 'mobilesimulator_options_page');

		// Call register settings function
		add_action( 'admin_init', 'mobilesimulator_settings' );
	}

	function mobilesimulator_settings(){
		// Register settings
		register_setting( 'mobilesimulator-settings-group', 'mobilesimulator_option-style' );
	}
	// update_option('my-plugin-options', $variable);

	function mobilesimulator_options_page(){
		include_once('options_page.php');
	}
	
	add_action('wp_head','mobilesimulator_CSS');
	add_action('wp_head','mobilesimulator_JS');
	function mobilesimulator_JS() {
?>
<script type="text/javascript">
/* Old script, still used, but adapted with Cookie creation */	
var ray={
changeIframe:function(inp,iframeEl)
	{
		this.returnID(iframeEl).setAttribute('src',this.returnID(inp).value);
		createCookie('QuentinURL',this.returnID(inp).value,30);
	},
returnID:function(el)
	{
		return document.getElementById(el);
	}
} 
</script>
<?php
}
	function mobilesimulator_CSS(){
?>
<style type="text/css">
<?php $style=get_option('mobilesimulator_option-style');
	if(empty($style)) $style ="iphone";
	
	switch($style){
		case "samsung" :
?>
#phone{background: transparent url('http://rx9.us/wp/wp-content/plugins/Mobile simulator plugin/samsung.jpg') no-repeat;
padding: 81px 0 0 25px;
margin: 0 auto;
width: 360px;
height: 682px;}
#urlBar{margin: 0;}
#mUrl{width: 250px;}
<?php
			break;
		case "nokia" :
?>
#phone{background: transparent url('http://rx9.us/wp/wp-content/plugins/Mobile simulator plugin/nokia.jpg') no-repeat;
padding: 72px 0 0 48px;
margin: 0 auto;
width: 360px;
height: 682px;}
#urlBar{margin: 2px 0;}
#mUrl{width: 250px;}
<?php
			break;
		case "iphone" : default :
?>
#phone{background: transparent url('http://rx9.us/wp/wp-content/plugins/Mobile simulator plugin/iphone.jpg') no-repeat;
padding: 70px 0 0 34px;
margin: 0 auto;
width: 360px;
height: 682px;}
#urlBar{margin: 2px 0;}
#mUrl{width: 250px;}
<?php
			break;
	}
?>
</style>
<?php
	}
	

	// Tool
	function mobilesimulator_build($atts){
		$style=get_option('mobilesimulator_option-style');
		if(empty($style)) $style ="iphone";
		
		switch($style){
			case "samsung" :
				$w = 302;
				$h = 472;
				break;
			case "nokia" :
				$w = 299;
				$h = 497;
				break;
			case "iphone" : default :
				$w = 294;
				$h = 442;
				break;
		}
		
		return '<div id="phone"><div id="urlBar">
			<input type="text" class="phone-url" name="mUrl" id="mUrl" value="http://pnw-websolutions.com" onclick="this.value=\'\';" onblur="this.value=!this.value?\'http://pnw-websolutions.com/\':this.value;" /><button onclick="ray.changeIframe(\'mUrl\',\'browserFrame\');">GO</button></div>
			<iframe src="http://pnw-websolutions.com" id="browserFrame" width="'.$w.'" height="'.$h.'"></iframe>
		</div>';
	}

	add_shortcode("mobilesimulator", "mobilesimulator_build");
	

	
	/*======================================================================================================*/
?>